	.psect	.prog.
mate:
	jsr	r0,__csav
	sub	$4,sp
	tst	mantom
	bne	.77777
	mov	$1,r0
	br	.77776
.77777:
	clr	r0
.77776:
	mov	r0,mantom
	tst	14(r5)
	bne	.2
	mov	12(r5),(sp)
	jsr	pc,mater
	mov	r0,-4(r5)
	tst	mantom
	bne	.77775
	mov	$1,r0
	br	.77774
.77775:
	clr	r0
.77774:
	mov	r0,mantom
	mov	-4(r5),r0
	br	.1
.2:
	clr	-4(r5)
	tst	matflg
	beq	.3
	mov	$1,-2(r5)
.5:
	mov	-2(r5),(sp)
	jsr	pc,mater
	tst	r0
	bne	.4
	cmp	-2(r5),12(r5)
	blt	.6
	clr	matflg
	clr	r0
	br	.1
.6:
	inc	-2(r5)
	br	.5
.4:
	mov	abmove,-4(r5)
	br	.7
.3:
	mov	12(r5),-2(r5)
.11:
	mov	-2(r5),(sp)
	jsr	pc,mater
	tst	r0
	beq	.10
	cmp	-2(r5),mdepth
	bne	.12
	.psect	.strn.
.13:
	.byte	106
	.byte	157
	.byte	162
	.byte	143
	.byte	145
	.byte	144
	.byte	40
	.byte	155
	.byte	141
	.byte	164
	.byte	145
	.byte	12
	.byte	0
	.psect	.prog.
	mov	$.13,(sp)
	jsr	pc,printf
	inc	matflg
.12:
	mov	abmove,-4(r5)
	tst	-2(r5)
	beq	.10
.14:
	dec	-2(r5)
	br	.11
.10:
.7:
	tst	mantom
	bne	.77773
	mov	$1,r0
	br	.77772
.77773:
	clr	r0
.77772:
	mov	r0,mantom
	tst	-4(r5)
	beq	.15
	mov	-4(r5),abmove
	mov	$1,r0
	br	.1
.15:
	clr	r0
.1:
	jmp	__cret
mater:
	jsr	r0,__csav
	sub	$10,sp
	tst	intrp
	bne	.77771
	dec	12(r5)
	bge	.17
.77771:
	clr	r0
	br	.16
.17:
	mov	lmp,-2(r5)
	mov	-2(r5),-4(r5)
	mov	-2(r5),-6(r5)
	tst	mantom
	beq	.77770
	jsr	pc,wgen
	br	.77767
.77770:
	jsr	pc,bgen
.77767:
.21:
	cmp	-4(r5),lmp
	beq	.20
	add	$2,-4(r5)
	tst	mantom
	beq	.77766
	mov	*-4(r5),(sp)
	jsr	pc,wmove
	br	.77765
.77766:
	mov	*-4(r5),(sp)
	jsr	pc,bmove
.77765:
	tst	mantom
	bne	.77763
	mov	wkpos,(sp)
	jsr	pc,battack
	tst	r0
	bne	.77763
	mov	bkpos,(sp)
	jsr	pc,wattack
	tst	r0
	bne	.77764
.77763:
	tst	mantom
	beq	.22
	mov	bkpos,(sp)
	jsr	pc,wattack
	tst	r0
	bne	.22
	mov	wkpos,(sp)
	jsr	pc,battack
	tst	r0
	beq	.22
.77764:
	mov	*-4(r5),*-6(r5)
	add	$2,-6(r5)
.22:
	tst	mantom
	beq	.77762
	jsr	pc,wremove
	br	.77761
.77762:
	jsr	pc,bremove
.77761:
	add	$2,-4(r5)
	br	.21
.20:
	mov	-6(r5),lmp
	mov	-2(r5),-4(r5)
.24:
	cmp	-4(r5),lmp
	beq	.23
	tst	mantom
	beq	.77760
	mov	*-4(r5),(sp)
	jsr	pc,wmove
	br	.77757
.77760:
	mov	*-4(r5),(sp)
	jsr	pc,bmove
.77757:
	mov	12(r5),(sp)
	jsr	pc,xmater
	mov	r0,-10(r5)
	tst	mantom
	beq	.77756
	jsr	pc,wremove
	br	.77755
.77756:
	jsr	pc,bremove
.77755:
	tst	-10(r5)
	beq	.25
	mov	*-4(r5),abmove
	mov	-2(r5),lmp
	mov	$1,r0
	br	.16
.25:
	add	$2,-4(r5)
	br	.24
.23:
	mov	-2(r5),lmp
	clr	r0
.16:
	jmp	__cret
xmater:
	jsr	r0,__csav
	sub	$6,sp
	mov	lmp,-2(r5)
	mov	-2(r5),-4(r5)
	tst	mantom
	beq	.77754
	jsr	pc,bagen
	br	.77753
.77754:
	jsr	pc,wagen
.77753:
	mov	-4(r5),r0
	add	$4,r0
	cmp	r0,lmp
	bne	.27
	jsr	pc,rept
	tst	r0
	bne	.27
	inc	12(r5)
.27:
.31:
	cmp	-4(r5),lmp
	beq	.30
	add	$2,-4(r5)
	tst	mantom
	beq	.77752
	mov	*-4(r5),(sp)
	jsr	pc,bmove
	br	.77751
.77752:
	mov	*-4(r5),(sp)
	jsr	pc,wmove
.77751:
	mov	12(r5),(sp)
	jsr	pc,mater
	mov	r0,-6(r5)
	tst	mantom
	beq	.77750
	jsr	pc,bremove
	br	.77747
.77750:
	jsr	pc,wremove
.77747:
	tst	-6(r5)
	bne	.32
	mov	-2(r5),lmp
	clr	r0
	br	.26
.32:
	add	$2,-4(r5)
	br	.31
.30:
	mov	-2(r5),lmp
	mov	$1,r0
.26:
	jmp	__cret
	.globl	rept
	.globl	wagen
	.globl	bagen
	.globl	xmater
	.globl	bremove
	.globl	wremove
	.globl	wattack
	.globl	battack
	.globl	bmove
	.globl	wmove
	.globl	bgen
	.globl	wgen
	.globl	printf
	.globl	mater
	.globl	mate
	.globl	sbuf
	.globl	ambuf
	.globl	lmbuf
	.globl	board
	.globl	dir
	.globl	ipval
	.globl	pval
	.globl	edge
	.globl	column
	.globl	wkpos
	.globl	bkpos
	.globl	eppos
	.globl	flag
	.globl	depth
	.globl	mfmt
	.globl	ivalue
	.globl	value
	.globl	ply
	.globl	mantom
	.globl	lastmov
	.globl	sbufp
	.globl	amp
	.globl	lmp
	.globl	abmove
	.globl	game
	.globl	gval
	.globl	moveno
	.globl	intrp
	.globl	matflg
	.globl	manflg
	.globl	bookp
	.globl	bookf
	.globl	mdepth
	.globl	qdepth
	.globl	testf
	.globl	clktim
	.globl	control
	.globl	bheur
	.globl	wheur
	.globl	center
	.globl	attacv
	.globl	__csav
	.globl	__cret
	.psect	.prog.
	.even
	.psect	.data.
	.even
	.psect	.mwcn.
	.even
	.psect	.prof.
	.even
